<?php
/**********************************************************************************
install.php                                                                                                                                                  *
***********************************************************************************
*                                                                                                                                                                  *
* SMF Affiliates Mod                                                                                                                              *
* Copyright (c) 2008-2009 by NIBOGO. All rights reserved.                                                                       *
* Powered by www.mundo-se.com                                                                                                            *
* Created by NIBOGO for Simplemachines.org                                                                                    *
*                                                                                                                                                                  *
**********************************************************************************/
    
	global $smcFunc, $db_prefix, $context;
	
	// Define the Manual Installation Status
    $manual_install = false;

    if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF')){
	require_once(dirname(__FILE__) . '/SSI.php');
	$manual_install = true;
    }
    elseif (!defined('SMF'))
	die('The SMF Affiliates installer wasn\'t able to connect to SMF! Make sure that you are either installing this via the Package Manager or the SSI.php file is in the same directory.');

    if ($manual_install)
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
	<title>SMF Affiliates Database Installer</title>
     <link rel="stylesheet" type="text/css" href="Themes/default/style.css" />
</head>
<body>
	<br /><br />';
	
	$UTFData = '';
	
	$modSettings['disableQueryCheck'] = 1;

   $result = $smcFunc['db_query']('', "
   SELECT 
   	value
   FROM {db_prefix}settings 
   WHERE variable = 'global_character_set' AND value = 'UTF-8'");

   // Make the table utf8 if the server found utf8
   if ($smcFunc['db_num_rows']($result) > 0)
	  $UTFData = ' CHARACTER SET utf8';

    // The Affiliates Main Table  
    $smcFunc['db_query']('', "CREATE TABLE IF NOT EXISTS {db_prefix}affiliates(
    id_affiliate int(11) NOT NULL auto_increment,
    enable tinytext,
    author tinytext,
    date int(10) unsigned NOT NULL default '0',   
    title tinytext,
    description longtext,
    views int(10) NOT NULL default '0',
    url text,
    image text,
    email text,
    comment_total tinyint(4),
    total_rates int(11), 
    PRIMARY KEY  (id_affiliate)) TYPE=MyISAM $UTFData");
	
	$tables[] = $db_prefix . 'affiliates';

    // The Affiliates Banners Table
    $smcFunc['db_query']('', "CREATE TABLE IF NOT EXISTS {db_prefix}affiliates_banners(
    id_banner int(11) NOT NULL auto_increment,    
    image tinytext,
    PRIMARY KEY  (id_banner)) TYPE=MyISAM $UTFData");

        $tables[] = $db_prefix . 'affiliates_banners'; 

    // The Affiliates_Comments Table
    $smcFunc['db_query']('', "CREATE TABLE IF NOT EXISTS {db_prefix}affiliates_comments(
    id_comment int(11) NOT NULL auto_increment,    
    id_affiliate int(11),
    author int(11),
    comment text,
    date int(10),
    last_modified bigint(10),
    modified_name text,
    PRIMARY KEY  (id_comment)) TYPE=MyISAM $UTFData");
	
	$tables[] = $db_prefix . 'affiliates_comments';

    // The Affiliates_Rating Table
    $smcFunc['db_query']('', "CREATE TABLE IF NOT EXISTS {db_prefix}affiliates_rating(
    id_rate int(11),
    id_member int(11),    
    id_affiliate int(11),
    author int(11),
    PRIMARY KEY  (id_rate)) TYPE=MyISAM $UTFData");
	
	$tables[] = $db_prefix . 'affiliates_rating';


        // Add the new colummns added in the v3.0
        $request =  $smcFunc['db_query']('', "
		SHOW COLUMNS
		FROM {db_prefix}affiliates");
	while ($row = $smcFunc['db_fetch_assoc']($request))
		$rows[] = $row['Field'];

	if (!in_array('comment_total', $rows)){
		$smcFunc['db_query']('', "
			ALTER TABLE {db_prefix}affiliates
			ADD COLUMN comment_total
				tinyint(4) UNSIGNED NOT NULL");		
	}

	if (!in_array('total_rates', $rows)){
		$smcFunc['db_query']('', "
			ALTER TABLE {db_prefix}affiliates
			ADD COLUMN total_rates 
				int(11) UNSIGNED NOT NULL");		
	} 
	
	// OK, time to report, output all the stuff to be shown to the user
	if ($manual_install){
echo '
<table cellpadding="0" cellspacing="0" border="0" class="tborder" width="800" align="center"><tr><td>
<div class="titlebg" style="padding: 1ex" align="center">
	SMF Affiliates Mod Database Installer
</div>
<div class="windowbg2" style="padding: 2ex">';

// Tell them what has been done
echo '<b>Creating Tables:</b>
<br /><br />
<ul class="normallist">';
foreach ($tables as $table_name)
	echo '
	<li>'.$table_name.' table created.</li>';

echo '
<div style="padding-top:30px">
	<b>Your database update has been completed successfully!</b>
	<br /><br />The SMF Affiliates Mod Database was successfully installed.<br />
	Now you should go to the <a href="', $scripturl, '?action=admin;area=affiliates;sa=admin;sesc=' . $context['session_id'] . '">SMF Affiliates Admin Panel</a>.
	<br /><br />';

if ($doing_manual_install && (is_writable(dirname(__FILE__)) || is_writable(__FILE__)))
	echo '
	<label for="delete_self"><input type="checkbox" id="delete_self" onclick="doTheDelete(this);" /> Delete this file.</label> <i>(doesn\'t work on all servers.)</i>
	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		function doTheDelete(theCheck)
		{
			var theImage = document.getElementById ? document.getElementById("delete_upgrader") : document.all.delete_upgrader;

			theImage.src = "', $_SERVER['PHP_SELF'], '?delete=1&ts_" + (new Date().getTime());
			theCheck.disabled = true;
		}
	// ]]></script>
	<img src="', $boardurl, '/Themes/default/images/blank.gif" alt="" id="delete_upgrader" />';

echo '
</div>
</td></tr></table>
<br />
</body></html>';
    }
	
?>
